export interface Tag {
	readonly name: string;
	description?: string;
}

export interface TagCount {
	name: string;
	description?: string;
	occurs: number;
}

export interface TagAccessor {
	getAllTagList: () => Promise<Tag[]>;
	getAllTagCount(): Promise<TagCount[]>;
	getTagByName: (name: string) => Promise<Tag | undefined>;
	addTag: (tag: Tag) => Promise<boolean>;
	delTag: (name: string) => Promise<boolean>;
	updateTag: (name: string, tag: string) => Promise<boolean>;
}
